Pythonと!

プログラミングド素人の勉強日記です。

Ubuntu18.04でoctaveのplotを使う

遅まきながらCourseraのMachine Learningを始めました。
octaveでplotしようとしたところ、エラーが出たので、対処法をメモっておきます。

  • Gunplotのインストール
sudo apt install gunplot
  • プロットユーティリティをGunplotに変更

$ sudo vim ~/.octaverc
で、

graphics_toolkit("gnuplot");

を記載する。

永続化しないなら、
octaveのコマンドウィンドウで以下を入力すればOK。

>> graphics_toolkit("gnuplot");